include mixins

doctype html
html(lang="en")
    +head

    body
        .click-closed 
        +navbar('welcome')
        section.intro-single
            .container
                .row
                    .col-md-12.col-lg-8
                        .title-single-box
                            h1.title-single= 'Bienvenido ' + user.nombre
                            span.color-text-a
                                | Disfruta de tu estadía
                    .col-md-12.col-lg-4
                        nav.breadcrumb-box.d-flex.justify-content-lg-end(aria-label='breadcrumb')
                            ol.breadcrumb
                                li.breadcrumb-item
                                    a(href='/') Home
                                li.breadcrumb-item.active(aria-current='page')
                                    | Bienvenido
                    .col-md-12.section-t8
                        .row
                            .col-md-6.col-lg-5
                                img.img-fluid(src='assets/img/welcome.png' alt='' height='250')
                            .col-md-6.col-lg-5
                                .title-box-d
                                    hr
                                    p.content-d.color-text-a
                                        | Ahora que has creado tu cuenta y te has logueado, 
                                        | puedes acceder a un serie de características y
                                        | y opciones... Que esperas empiza a usar tu creatividad.
                                    p
                                        strong Crear: 
                                        span.color-text-a  Puedes empezar a crear  post y noticias.
                                    p
                                        strong Editar: 
                                        span.color-text-a  Puedes editar tus posst una vez ya creadas.
                                    p
                                        strong Eliminar: 
                                        span.color-text-a  Puedes eliminar tus post que has creado.
                                    p
                                        strong Comentar: 
                                        span.color-text-a  Puedes comentar tus post y los de otros usuarios.
            - var contacto = contactos
            if user.role === 'ADMIN_ROLE'
                .py-5
                    .container
                        .row
                            .col-md-12
                                .table-responsive
                                    table.table(style='table-layout: fixed; word-wrap: break-word;')  
                                        thead.thead-light.text-center
                                            th(style='width: 10.0%') Nombre
                                            th(style='width: 10.0%') Email
                                            th(style='width: 10.0%') Fecha
                                            th(style='width: 15.0%') Telefono
                                            th(style='width: 30.0%') Mensaje
                                            th(style='width: 25.0%') Accion
                                        for value in contacto
                                            tbody.text-center.justify-content-center.align-items-center
                                                th(style='width: 10.0%') #{value.name}
                                                td(style='width: 10.0%') #{value.email}
                                                td(style='width: 10.0%') #{value.date}
                                                td(style='width: 15.0%') #{value.telf}
                                                td(style='width: 30.0%') #{value.message}
                                                td(style='width: 25.0%') 
                                                    form.form-a(action=`/deleteComment/${value._id}?_method=DELETE` method='POST')
                                                        input(type='hidden' name='_method' value='DELETE')
                                                        button.btn.btn-b(type='submit') Eliminar

        +footer
        +scripts
        
